a:has( > .ripple-button ) {
    text-decoration: none;
}

.ripple-button {
    position: relative;
    border: var(--standardBorderWidth) solid;
    padding: 8px 16px;
    margin: 0;
    border-radius: 5px;
    box-shadow: 0 0 10px 0.5px rgba(0, 0, 0, 0);
    
    -webkit-transition: all 0.15s linear;
    -moz-transition: all 0.15s linear;
    transition: all 0.15s linear;
        
    font-family: 'Gilroy';
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;

    height: fit-content;
    display: flex;
    align-items: center;
    gap: 8px;
}

.ripple-button:hover {
    box-shadow: 0 0 10px 0.5px rgba(0, 0, 0, 0.2);
    -webkit-transform: scale(0.98);
    -moz-transform: scale(0.98);
    -ms-transform: scale(0.98);
    -o-transform: scale(0.98);
    transform: scale(0.98);
    cursor: pointer;
}

.ripple-button:active, .ripple-button:focus {
    outline: none;
}

.ripple-button .ripple {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

@keyframes ripple {
    from {
      -webkit-transform: scale(0);
      -moz-transform: scale(0);
      -ms-transform: scale(0);
      -o-transform: scale(0);
      transform: scale(0);
      opacity: 1;
    }
    to {
      opacity: 0;
      -webkit-transform: scale(250);
      -moz-transform: scale(250);
      -ms-transform: scale(250);
      -o-transform: scale(250);
      transform: scale(250);
    }
}

.ripple-button .ripple .circle {
    position: absolute;
    background: rgba(251, 232, 211, 0.2);
    border: 1px solid transparent;
    border-radius: 50%;
    pointer-events: none;
    animation: ripple 0.75s 1;
    top: 50%;
    left: 50%;
}

.ripple-button.sm {
    padding: 6px 12px;
}

/* Blue Buttons */
.ripple-button.blue-contained {
    border-color: var(--lightBlue);
    background-color:  var(--lightBlue);
    color: var(--white);
}

.ripple-button.faded-blue-contained {
    border-color: var(--lightBlue);
    background-color:  var(--fadedBlue);
    color: var(--lightBlue);
}

.ripple-button.blue-outlined {
    background-color: var(--white);
    border-color: var(--lightBlue);
    color: var(--lightBlue);
}

.ripple-button.blue-text:hover, .ripple-button.blue-outlined:hover {
    background-color: var(--fadedBlue);
}

.ripple-button.faded-blue-contained:hover {
    background-color: var(--white);
}

.ripple-button.blue-text {
    background-color: transparent;
    border-color: transparent;
    color: var(--lightBlue);
}

/* Green Buttons */
.ripple-button.green-contained {
    background-color: var(--green);
    border-color: var(--green);
    color: var(--white);
}

/* Red Buttons */
.ripple-button.red-contained {
    background-color: var(--red);
    border-color: var(--red);
    color: var(--white);
}

/* Gray Buttons */
.ripple-button.gray-contained {
    background-color: var(--lightGray);
    border-color: var(--gray);
    color: var(--black);
}

.ripple-button.green-outlined {
    background-color: var(--white);
    border-color: var(--green);
    color: var(--green);
}

.ripple-button.green-outlined:hover {
    background-color: var(--lightGreen);
}

.ripple-button.red-outlined {
    background-color: var(--white);
    border-color: var(--red);
    color: var(--red);
}

.ripple-button.red-text {
    background-color: transparent;
    border-color: transparent;
    color: var(--red);
}

.ripple-button.red-text:hover {
    background-color: var(--lightRed);
}

/* Disabled Button */
.ripple-button:disabled, .ripple-button:disabled:hover {
    background-color: var(--borderGray) !important;
    border-color: var(--borderGray) !important;
    color: var(--gray) !important;
    box-shadow: none !important;
}